/**
 * OW2 Util
 * Copyright (C) 2006-2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Components.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.component;

import java.util.List;

import org.ow2.util.component.api.Component;

/**
 * All components that have been configured.
 * @author Florent Benoit
 *
 */
public class Components {

    /**
     * List of IComponent.
     */
    private List<Component> components = null;

    /**
     * Gets the list of components.
     * @return the list of components.
     */
    public List<Component> getComponents() {
        return components;
    }

    /**
     * Sets the list of components.
     * @param components the list of components.
     */
    public void setComponents(final List<Component> components) {
        this.components = components;
    }



}
